aboutsummaryrefslogtreecommitdiff
path: root/patches
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2009-04-26 23:43:01 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2009-04-26 23:43:01 +0000
commitf4e662bf25208436b5c5e44b1fd125fe56c7bbc8 (patch)
treea8a273d581ebcd980ab848a28e369cbb5fb7d62c /patches
parentd84541c38a9c8abefcbcbd82d14e0dcbc9dc501a (diff)
downloadslackbuilds-f4e662bf25208436b5c5e44b1fd125fe56c7bbc8.tar.gz
slackbuilds-f4e662bf25208436b5c5e44b1fd125fe56c7bbc8.tar.bz2
moving openldap-client to patches/
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@2163 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'patches')
-rwxr-xr-xpatches/openldap-client/openldap-client.SlackBuild147
1 files changed, 147 insertions, 0 deletions
diff --git a/patches/openldap-client/openldap-client.SlackBuild b/patches/openldap-client/openldap-client.SlackBuild
new file mode 100755
index 00000000..8475ae85
--- /dev/null
+++ b/patches/openldap-client/openldap-client.SlackBuild
@@ -0,0 +1,147 @@
+#!/bin/bash
+#
+# openldap-client.SlackBuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# openldap-client.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild script for openldap-client
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building openldap-client are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="openldap-client"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.3.27}
+BUILD=${BUILD:=2rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="tgz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+KEY="http://www.courier-mta.org/KEYS.bin"
+SRC="openldap-$VERSION.$PACKAGE_EXT"
+#URL="ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/$SRC"
+URL="http://public.planetmirror.com/pub/openldap/openldap-release/$SRC"
+
+SRC_DIR="$SRC_DIR/openldap"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR="/usr/lib64"
+else
+ LIBDIR="/usr/lib"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+mv openldap-$VERSION $PACKAGE-$VERSION
+cd $PACKAGE-$VERSION
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --without-kerberos \
+ --without-cyrus-sasl --without-tls --without-threads --disable-slapd --disable-slurpd || exit $ERROR_CONF
+
+make depend
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+openldap-client: openldap-client (LDAP application client)
+openldap-client:
+openldap-client: The OpenLDAP Project is a collaborative effort to provide a robust,
+openldap-client: commercial-grade, fully featured, open source LDAP software suite.
+openldap-client: The project is managed by a worldwide community of volunteers that
+openldap-client: use the Internet to communicate, plan, and develop OpenLDAP Software
+openldap-client: and its related documentation. OpenLDAP Software provides a complete
+openldap-client: LDAP implementation including server, clients, C SDK, and associated
+openldap-client: tools.
+openldap-client:
+openldap-client:
+EOF
+
+# configs
+if [ -f "etc/openldap/ldap.conf" ]; then
+ mv etc/openldap/ldap.conf etc/openldap/ldap.conf.new
+fi
+
+if [ -f "etc/openldap/slapd.conf" ]; then
+ mv etc/openldap/slapd.conf etc/openldap/slapd.conf.new
+fi
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in ANNOUNCEMENT CHANGES COPYRIGHT INSTALL LICENSE README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+